-- General Mod Data -----------------------------------------------------

#modname "Pangaea Improved"
#description "Pangaea Improved for all Era, by Qenetar."
#icon "./PangaeaImp/mod_banner.tga"
#version 1.02 -- 2013/04/22
#domversion 3.28

-- National Sites Data --------------------------------------------------
--   Reserved Sites IDs : [751] to [760]

-- Early Era ------------------------------------

#selectsite 118 -- The Grove of Gaia
#name "The Grove of Gaia"
#path 6
#level 0
#rarity 5
#gems 6 5
#homemon 769  -- White Centaur
#end

#newsite 751
#name "Luxuriant Forest"
#path 6
#level 0
#rarity 5
#gems 6 1
#homecom 2619 -- Paniic Mother
#homecom 2612 -- Sultry Dryad
#end

-- Middle Era ------------------------------------

#selectsite 14 -- The Grove of Gaia
#path 6 - nature site 
#level 0 - always known 
#rarity 5 - not available as a random site 
#gems 6 4 - 6 is type of the gems (nature) 4 is amount 
#homemon 769  -- White Centaur
#end

#newsite 753
#name "Ancestral Forest"
#path 6
#level 0
#rarity 5
#gems 6 1
#homecom 2601 -- Paniic Mother
#homecom 2612 -- Sultry Dryad
#end

-- Late Era --------------------------------------

#selectsite 49 -- The Grove of Gaia
#path 6 - nature site 
#level 0 - always known 
#rarity 5 - not available as a random site 
#gems 6 3
#homemon 704  -- Dryad Hoplite
#homecom 705  -- White Dryad
#end

#selectsite 117 -- The Carrion Grove
#path 6 - nature site 
#level 0 - always known 
#rarity 5 - not available as a random site 
#gems 5 1
#homemon 787  -- Black Centaur
#homecom 709  -- Paniic Apostate
#end

-- Pangaea Related Sites Data ---------------------------------------------
--   Available for every nations

#newsite 754
#name "Wild Glade"
#path 6 - nature
#level 1 - require level one in nature path
#rarity 0 - Common
#loc 2 - found only in forests
#mon 2608 - Dryad Slinger
#mon 228  - Satyr with javelin
#mon 229  - Satyr with buckler
#com 2614 - Satyr Champion
#end

#newsite 755
#name "Large Wild Glade"
#path 6 - nature
#level 1 - require level one in nature path
#rarity 1 - Uncommon
#loc 2 - found only in forests
#gems 6 1 - nature gem (normal Wild Glade haven't)
#mon 2608 - Dryad Slinger
#mon 228  - Satyr with javelin
#mon 229  - Satyr with buckler
#com 2614 - Satyr Champion
#end

#newsite 756
#name "Centaur Tribe"
#path 6 - nature
#level 1 - require level one in nature path
#rarity 1 - Uncommon
#loc 3 - plains/forests
#mon 27   - Centaur male
#mon 2607 - Centaur female
#mon 707  - Centaur Warrior
#com 2606 - Centaur Champion
#end 

#newsite 757
#name "Harpy Nests"
#path 3 - nature
#level 1 - require level one in nature path
#rarity 0 - Common
#loc 6 - forests/mountains
#mon 239 - Harpy
#com 430 - Black Harpy
#end

#newsite 758
#name "Blooming Gardens"
#path 6 - nature
#level 2 - require level two in nature path
#rarity 1 - Uncommon
#loc 2 - forests
#gems 6 1 - nature gem
#com 2610 - Brown Dryad with nature magic path
#end

#newsite 759
#name "Altar of the Wild"
#path 6 - nature
#level 3 - require level three in nature path
#rarity 2 - Rare
#loc 2 - forests
#gems 6 1 - nature gem
#gems 7 1 - blood  slave
#end

-- Item Data --------------------------------------------------------------

#newarmor 350
#name "Light Centaur Barding"
#type 5
#prot 6
#def 0
#enc 0
#rcost 6
#end

-- Pretender Data ---------------------------------------------------------

#newmonster 2629
#copystats 238 -- Pan
#name "White Pan"
#descr "The White Pan is an exceptionnal specimen of Pan, because normally Panii aren't affected by blessed white hides. White Pan is sacred and respected in all Pangaea lands, by his excellent magical mastery and the symbol of good fortune. Due to their reknown, The White Pan can unite Pangaea and claim godhood."
#spr1 "PangaeaImp/whitepan1.tga"
#spr2 "PangaeaImp/whitepan2.tga"
#gcost 50
#mor 30
#mr 18
#hp 32
#att 10
#def 10
#prec 10
#mapmove 3
#pathcost 40
#startdom 2
#restrictedgod 40
#clearmagic
#magicskill 3 1
#magicskill 6 2
#maxage 450
#end

#newmonster 2630
#copystats 2629
#name "White Pan"
#descr "The White Pan is an exceptionnal specimen of Pan, because normally Panii aren't affected by blessed white hides. White Pan is sacred and respected in all Pangaea lands, by his excellent magical mastery and the symbol of good fortune. Due to their reknown, The White Pan can unite Pangaea and claim godhood."
#copyspr 2629
#restrictedgod 11
#end

-- Monster Data -------------------------------------------------------------
--   IDs reserved : [2601] to [2640]

#newmonster 2601
#copystats 706
#name "Paniic Mother"
#descr "Paniic Mothers are the females panii. They are uncommon and very precious for Pangaea community. Paniic Mothers practice magic as same as their males counterparts but are more focusing on healing abilities. They don't attract Maenads."
#spr1 "PangaeaImp/panfemale1.tga"
#spr2 "PangaeaImp/panfemale2.tga"
#nametype 110
#gcost 330
#clearmagic
#magicskill 3 1
#magicskill 6 3
#custommagic 9216 100
#custommagic 9216 10
#healer 20
#female
#end

-- Centaur Lancer Hierophant
#newmonster 2602
#copystats 231
#spr1 "PangaeaImp/lancerhierophant1.tga"
#spr2 "PangaeaImp/lancerhierophant2.tga"
#nametype 109
#berserk 3
#weapon 55
#weapon 1
#weapon 21
#cleararmor
#armor "Light Centaur Barding"
#armor "Shield"
#armor "Reinforced Leather Cap"
#end

#newmonster 2603
#copystats 231
#spr1 "PangaeaImp/femalehierophant1.tga"
#spr2 "PangaeaImp/femalehierophant2.tga"
#female
#nametype 110
#end

-- Satyr Commander
#newmonster 2604
#copystats 230
#name "Satyr Commander"
#descr "When the ways of man came to the ancients woods, the halfmen initially refused to adopt the new ways. But as it became clear that well-trained, disciplined and armored troops would defeat huge armies of wild Satyrs, bronze cuirasses were forged and given to Satyrs trained in battle. The Satyrs Hoplites have since become the core unit of the Pangaean armies."
#spr1 "PangaeaImp/satyrcommander1.tga"
#spr2 "PangaeaImp/satyrcommander2.tga"
#nametype 109
#hp 15
#att 12
#prec 11
#mor 11
#gcost 40
#armor "Bronze Hauberk"
#armor "Shield"
#armor "Hoplite Helmet"
#okleader
#nomagicleader
#noundeadleade
#end

-- Satyr Hunter
#newmonster 2605
#copystats 228
#name "Satyr Hunter"
#descr "Satyrs are wild men with the hindquarters and horns of a goat. They are powerfully built and can easily outrun the swiftest humans. The Satyrs are selfish beings who lack discipline and will quickly flee from battle if the odds are against them. Their strong connection with Nature gives the Satyrs strong resistance to magic. Some of them become excellent stealthy hunters and can spy far deep in humans land. These hunters are bad leader and can't command a whole army."
#spr1 "PangaeaImp/satyrhunter1.tga"
#spr2 "PangaeaImp/satyrhunter2.tga"
#nametype 109
#hp 13
#att 11
#prec 11
#mor 9
#gcost 25
#stealthy 20
#spy
#poorleader
#nomagicleader
#noundeadleader
#end

-- Centaur Champion
#newmonster 2606
#copystats 707
#name "Centaur Champion"
#descr "Centaurs Warriors fight the old way with spear, shield, and javelin. They still have much of the old blood in thier veins and are able to go berserk in battle. They rarely fight side by side with Centaur Cataphracts, as they consider Cataphracts craven and weak. Centaurs Warriors are lead to the battle by their best combattants, Centaurs Champions or Hierophants."
#spr1 "PangaeaImp/centaurcommander1.tga"
#spr2 "PangaeaImp/centaurcommander2.tga"
#nametype 109
#hp 23
#mor 13
#att 11
#cleararmor
#armor "Light Centaur Barding"
#armor "Shield"
#armor "Bronze Cap"
#gcost 60
#okleader
#nomagicleader
#noundeadleader
#end

-- Centaur Female Archer
#newmonster 2607
#copystats 27
#spr1 "PangaeaImp/femalecentaurarcher1.tga"
#spr2 "PangaeaImp/femalecentaurarcher2.tga"
#female
#nametype 110
#end

-- Brown Dryad Slinger
#newmonster 2608
#name "Dryad Slinger"
#descr "Dryads are female Satyrs. They are similar in appearance to male Satyrs, but they are blessed with aphrodisiac beauty. Dryads support Satyrs in battle with sling if they can't join priestesses of the sacred grove."
#spr1 "PangaeaImp/dryadslinger1.tga"
#spr2 "PangaeaImp/dryadslinger2.tga"
#hp 10
#prot 0
#mor 8
#mr 13
#enc 3
#ap 14
#mapmove 2
#size 2
#str 10
#att 9
#def 12
#prec 10
#gcost 9
#female
#nametype 110
#weapon 55
#weapon 22
#stealthy 0
#forestsurvival
#maxage 90
#heal
#end

-- Brown Dryad Hoplite
-- Unused
#newmonster 2609
#copystats 704 
#descr "All Dryads can't serve as priestesses and caretakers of Nature, the stronger of them will become guardians of the sacred grove. Trained as elites warriors of the growing nation, the Dryads have become a formidable and important part of the Pangaean army. Dryads Hoplites are blessed with aphrodisiac beauty, and few mortals can think of harming them. The awe does not affect undead or mindless beings."
#spr1 "PangaeaImp/dryadhoplite1.tga"
#spr2 "PangaeaImp/dryadhoplite2.tga"
#clearspec
#heal
#forestsurvival
#female
#awe 1
#maxage 90
#nametype 110
#gcost 30
#end

-- White Dryad
#selectmonster 237 -- Dryad
#name "White Dryad"
#end

-- White Dryad
#selectmonster 705 -- Late Era Dryad
#name "White Dryad"
#end

-- Brown Dryad with Nature Magic Path
#newmonster 2610
#name "Dryad"
#descr "Dryads are female Satyrs. They are similar in appearance to male Satyrs, but they are blessed with aphrodisiac beauty. Sometimes, Brown Dryads learn to use Nature Magic from the White sacred Dryad to serve as acolytes or delegates."
#spr1 "PangaeaImp/dryadchief1.tga"
#spr2 "PangaeaImp/dryadchief2.tga"
#hp 11
#size 2
#mor 9
#prot 0
#mr 14
#enc 3
#ap 15
#mapmove 2
#str 10
#att 10
#def 12
#prec 10
#gcost 70
#clearspec
#nametype 110
#female
#stealthy 20
#forestsurvival
#heal
#magicskill 6 1
#weapon "Sickle"
#weapon "Hoof"
#maxage 90
#poorleader
#nomagicleader
#noundeadleader
#end

-- Centaur commander with broad sword
-- Unused
#newmonster 2611
#copystats 232
#spr1 "PangaeaImp/centaurcommanderbis1.tga"
#spr2 "PangaeaImp/centaurcommanderbis2.tga"
#weapon 8
#end

-- Sultry Brown Dryad
#newmonster 2612
#name "Sultry Dryad"
#descr "Dryads are female Satyrs. They are similar in appearance to male Satyrs, but they are blessed with aphrodisiac beauty. Sultry Dryad use her beauty to seduce men and convince them to join Pangaea the wild kingdom."
#spr1 "PangaeaImp/sultrydryad1.tga"
#spr2 "PangaeaImp/sultrydryad2.tga"
#hp 11
#prot 0
#mor 9
#mr 13
#enc 3
#ap 15
#mapmove 2
#size 2
#str 10
#att 9
#def 12
#prec 10
#gcost 100
#female
#nametype 110
#weapon "Fist"	
#weapon "Hoof"
#stealthy 5
#awe 1
#forestsurvival
#maxage 90
#heal
#seduce 10
#noleader
#nomagicleader
#noundeadleader
#end

-- New Harpy Sprites
#selectmonster 239
#spr1 "PangaeaImp/femaleharpy1.tga"
#spr2 "PangaeaImp/femaleharpy2.tga"
#end

-- New Black Harpy Sprites
#selectmonster 430
#spr1 "PangaeaImp/femaleblackharpy1.tga"
#spr2 "PangaeaImp/femaleblackharpy2.tga"
#end

-- Pan Late Era (get older)
#newmonster 2613
#name "Pan"
#descr "Since the arrival of civilization, there is no longer need for the services of the Panii. The Sacred Groves are withering and their lords silently watch as the woods die. There remain a few Panii who try to keep the old traditions alive, but their influence has dwindled. Human females are no longer attracted to the wild. The days of the wild will soon be over. The Panii of this New Era still have their ancient powers over Nature and the wild, but the Dominion of the New Lord seems not to inspire the wild revelry that once attracted the maenads."
#copystats 706
#copyspr 706
#older 175
#end

-- Satyr Champion
#newmonster 2614
#copystats 230
#name "Satyr Champion"
#descr "Satyrs are wild and emotional beings. While most satyrs are driven by their fears and lusts, some rare would lose themselves to battle lust and revelry. The stronger and more skillfull of them are champions of the wild and will lead other satyrs with lust for battle and lust for life."
#spr1 "PangaeaImp/satyrchampion1.tga"
#spr2 "PangaeaImp/satyrchampion2.tga"
#nametype 109
#hp 15
#mapmove 2
#att 12
#prec 11
#mor 11
#gcost 50
#weapon 1
#weapon 55
#armor "Furs"
#armor "Shield"
#berserk 3
#stealthy 0
#okleader
#nomagicleader
#noundeadleade
#end

#newmonster 2615
#copystats 236
#name "Minotaur Matron"
#descr "The minotaur matron is a skilled minotaur warrior armored inplate hauberk and wearing a helmet. Battle prowess is highly valued among minotaurs and only the most powerful female fighters will ever become minotaur leader."
#spr1 "PangaeaImp/femaleminotaurcommander1.tga"
#spr2 "PangaeaImp/femaleminotaurcommander2.tga"
#female
#nametype 110
#clearweapons
#weapon 14 -- Maul
#end

#newmonster 2616
#copystats 234
#name "Minotaur Consort"
#descr "The female minotaur is a large, wild creature with the head of a bull, the upper body of a very muscular female and hindquarters of a hoofed being. Minotaurs are immensely strong and much faster than humans. They also have thick leathery hides that protect them from light injuries. Minotaurs revel in battle and almost never rout. They are large and wild enough to ignore smaller wounds and can trample men and smaller beasts. Minotaurs will become enraged and go berserk at the sight of their own blood. They do not wear armor other than furs and their own thick hides. Minotaurs use battle axes to fight beings larger than humans."
#spr1 "PangaeaImp/femaleminotaur1.tga"
#spr2 "PangaeaImp/femaleminotaur2.tga"
#female
#nametype 110
#end

-- Female Pandemoniac
-- Unused
#newmonster 2617
#copystats 516
#name "Female Pandemoniac"
#descr "Dark and corrupted Panii from the Hidden Grove, Pandemoniacs still practice the blood sacrifices of old. This has made them ostracized in Pangaea, but they may still be called upon in times of need. The female Pandemoniac is a powerfull user of Nature and Blood magic, but does not attract maenads."
#spr1 "PangaeaImp/femalepandemoniac1.tga"
#spr2 "PangaeaImp/femalepandemoniac2.tga"
#female
#nametype 110
#end

-- Satyr Elder
#newmonster 2618
#copystats 227 -- Satyr
#name "Satyr Elder"
#descr "The satyr is a being of the wild with the horns and hindquarters of a goat. With the years, older satyrs can learn nature magic and lore from Panii and dryads."
#spr1 "PangaeaImp/satyrelder1.tga"
#spr2 "PangaeaImp/satyrelder2.tga"
#gcost 75
#mr 14
#mor 10
#clearspec
#stealthy 0
#heal
#forestsurvival
#maxage 80
#older 70
#noleader
#nomagicleader
#noundeadleader
#magicskill 6 1
#custommagic 9216 20
#weapon 55
#armor "furs"
#end

-- Early Age Paniic Mother
#newmonster 2619
#copystats 2601
#name "Paniic Mother"
#descr "Paniic Mothers are the females panii. They are uncommon and very precious for Pangaea community. Paniic Mothers practice magic as same as their males counterparts but are more focusing on healing abilities. They don't attract Maenads."
#spr1 "PangaeaImp/panfemale1.tga"
#spr2 "PangaeaImp/panfemale2.tga"
#gcost 340
#clearmagic
#magicskill 3 1
#magicskill 6 4
#magicskill 7 1
#custommagic 25600 10
#end

-- Satyr
#newmonster 2621
#copystats 1881 -- Satyr (from Pythium)
#copyspr 1881
#name "Satyr"
#descr "The satyr is a being of the wild with the horns and hindquarters of a goat. It is a creature of uninhibited, hedonistic passions. The satyr can seduce women with the lure of the wild and turn them into raging maenads."
#gcost 60
#noleader
#nomagicleader
#noundeadleader
#end

-- Satyr Elder (late era)
#newmonster 2622
#copystats 227 -- Satyr
#name "Satyr Elder"
#descr "The satyr is a being of the wild with the horns and hindquarters of a goat. With the years, older satyrs can learn nature and death magic, and lore from Panii and dryads."
#spr1 "PangaeaImp/satyrelder1.tga"
#spr2 "PangaeaImp/satyrelder2.tga"
#gcost 75
#mr 14
#mor 10
#clearspec
#stealthy 0
#heal
#forestsurvival
#maxage 80
#older 70
#noleader
#nomagicleader
#noundeadleader
#custommagic 12288 100
#custommagic 13312 10
#weapon 55
#armor "furs"
#end

-- Satyr Commander (late Era)
#newmonster 2623
#copystats 230
#name "Satyr Commander"
#descr "When the ways of man came to the ancients woods, the halfmen initially refused to adopt the new ways. But as it became clear that well-trained, disciplined and armored troops would defeat huge armies of wild Satyrs, bronze cuirasses were forged and given to Satyrs trained in battle. With greater exposure to the civilization of man came the skills of ironworking. In this New Era, the bronze armor of old has been replaced by cheaper and stronger armor of steel."
#spr1 "PangaeaImp/satyrcommanderlate1.tga"
#spr2 "PangaeaImp/satyrcommanderlate2.tga"
#nametype 109
#hp 15
#att 12
#prec 11
#mor 11
#gcost 40
#clearweapons
#weapon 8 -- Broad sword
#armor "Plate Cuirass"
#armor "Shield"
#armor "Hoplite Helmet"
#okleader
#nomagicleader
#noundeadleade
#end

-- Champions Data -------------------------------------------------------

Arcopythera the Harpy Queen
#select 614
#spr1 "PangaeaImp/harpyqueen1.tga"
#spr2 "PangaeaImp/harpyqueen2.tga"
#end

#newmonster 2620
#copystats 232 -- Centaur Commander
#name "Centaur Knight"
#spr1 "PangaeaImp/centaurknight1.tga"
#spr2 "PangaeaImp/centaurknight2.tga"
#descr "A centaur knight is the most extreme case of the influence of human civilisations on centaurs. Despite beeing poorly considered by most of the Pangaea unhabitants, a centaur knight is a formidable adversary and can fight as equal as human knights. Because of his bad reputation in the wild society, only few accept to fight along side them."
#ap 24
#mapmove 2
#hp 24
#prot 3
#size 3
#str 13
#enc 3
#att 13
#def 15
#prec 12
#mr 15
#mor 14
#gcost 150
#rcost 10
#weapon "broad sword"
#weapon "lance"
#weapon "hoof"
#armor "Hoplite Helmet"
#armor "Bronze Hauberk"
#armor "Kite Shield"
#trample
#poorleader
#nomagicleader
#noundeadleader
#end 

-- Nation Datas ---------------------------------------------------------
--   Pangaea Early Era --------------------------------------------------

#selectnation 11 -- Pangaea Early Era

#clearrec
#addrecunit 239  -- Harpy
#addrecunit 2608 -- Dryad Slinger
#addrecunit 227  -- Satyr Sneak
#addrecunit 228  -- Satyr (with javelin)
#addrecunit 229  -- Satyr (with buckler)
#addrecunit 1532 -- Satyr Warrior (with shield)
#addrecunit 708  -- Satyr Reveler
#addrecunit 2616 -- Minotaur Consort
#addrecunit 234  -- Minotaur
#addrecunit 1533 -- Minotaur Warrior
#addrecunit 27   -- Centaur
#addrecunit 2607 -- Female Centaur
#addrecunit 707  -- Centaur Warrior

#addreccom 430	 -- Black Harpy
#addreccom 2605  -- Satyr Hunter
#addreccom 2614  -- Satyr Champion
#addreccom 2621  -- Satyr (hedonist)
#addreccom 2618  -- Satyr Elder
#addreccom 2610  -- Dryad
#addreccom 237   -- White Dryad
#addreccom 1534  -- Minotaur Lord
#addreccom 2606  -- Centaur Champion
#addreccom 231   -- Centaur Hierophant
#addreccom 2603  -- Female Centaur Hierophant
#addreccom 2602  -- Lancer Centaur Hierophant
#addreccom 1535	 -- Pan

#startsite "Luxuriant Forest"

#end

--   Pangaea Middle Era -------------------------------------------------

#selectnation 40 -- Pangaea Middle Era

#clearrec
#addrecunit 239  -- Harpy
#addrecunit 2608 -- Dryad Slinger
#addrecunit 227  -- Satyr Sneak
#addrecunit 228  -- Satyr (with javelin)
#addrecunit 229  -- Satyr (with buckler)
#addrecunit 230  -- Satyr Hoplite
#addrecunit 708  -- Satyr Reveler
#addrecunit 2616 -- Minotaur Consort
#addrecunit 234  -- Minotaur
#addrecunit 235  -- Minotaur
#addrecunit 27   -- Centaur
#addrecunit 2607 -- Female Centaur
#addrecunit 233  -- Centaur Cataphract
#addrecunit 707  -- Centaur Warrior

#addreccom 430	 -- Black Harpy
#addreccom 2605  -- Satyr Hunter
#addreccom 2604  -- Satyr Hoplite Commander
#addreccom 2621  -- Satyr (hedonist)
#addreccom 2618  -- Satyr Elder
#addreccom 2610  -- Dryad
#addreccom 237   -- White Dryad
#addreccom 2615  -- Minotaur Matron
#addreccom 236   -- Minotaur Lord
#addreccom 232   -- Centaur Cataphract Commander
#addreccom 2606  -- Centaur Champion
#addreccom 231   -- Centaur Hierophant
#addreccom 2603  -- Female Centaur Hierophant
#addreccom 2602  -- Lancer Centaur Hierophant
#addreccom 238   -- Pan

#hero1 540 -- white minotaur
#hero2 611 -- black bull
#hero3 614 -- harpy queen 
#hero4 770 -- white satyr

#startsite "Ancestral Forest"

#end

--   Pangaea Late Era -------------------------------------------------

#selectnation 61 -- Pangaea Late Era

#clearrec
#addrecunit 239  -- Harpy
#addrecunit 227  -- Satyr Sneak
#addrecunit 228  -- Satyr (with javelin)
#addrecunit 229  -- Satyr (with buckler)
#addrecunit 697  -- Satyr Hoplite
#addrecunit 698  -- Centaur Cataphract
#addrecunit 700  -- Minotaur Soldier
#addrecunit 702  -- Grove Guard

#addreccom 430   -- Black Harpy
#addreccom 2605  -- Satyr Hunter
#addreccom 2623  -- Satyr Commander
#addreccom 2622  -- Satyr Elder
#addreccom 699   -- Cataphract Commander
#addreccom 701   -- Minotaur Commander
#addreccom 703   -- Keeper of Traditions
#addreccom 2613  -- Pan
#addreccom 901	 -- Black Dryad

#end